Last Comment Bug 828967 - Gaia has too few blockers
: Gaia has too few blockers
Status: VERIFIED FIXED
UX-P1
: regression, testcase
Product: Firefox OS
Classification: Client Software
Component: Gaia::Browser (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
: Naoki Hirata :nhirata (please use needinfo instead of cc)
:
Mentors:
Depends on: beer
Blocks: 829012
  Show dependency treegraph
 
Reported: 2013-01-10 06:00 PST by Jonas Sicking (:sicking) No longer reading bugmail consistently
Modified: 2015-02-02 15:16 PST (History)
30 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Workaround for Gaia having too few bugs (362 bytes, patch)
2013-01-10 06:34 PST, Ben Francis [:benfrancis]
dietrich: review-
etienne: feedback-
Details | Diff | Splinter Review
Screenshot of the issue (38.32 KB, image/jpeg)
2013-01-10 15:40 PST, Anthony Ricaud (:rik)
no flags Details
first world problems (86.87 KB, image/jpeg)
2013-01-10 16:05 PST, Daniel Maher [:phrawzty]
no flags Details

Description User image Jonas Sicking (:sicking) No longer reading bugmail consistently 2013-01-10 06:00:22 PST
The number of gaia blockers is too low! They need more.

Please note that marking this bug as fixed will reduce the blocker count which means that it will have to be reopened.
Comment 1 User image Etienne Segonzac (:etienne) 2013-01-10 06:05:16 PST
Probably a QA bug :)
Comment 2 User image Jason Smith [:jsmith] 2013-01-10 06:06:43 PST
(In reply to Etienne Segonzac (:etienne) from comment #1)
> Probably a QA bug :)

I see what you did there.

Then let's send this over Jonas and make him feel welcome to fixing Gaia bugs.
Comment 3 User image Ben Francis [:benfrancis] 2013-01-10 06:09:22 PST
We've investigated this bug and discovered it's actually a platform bug. The issue is not that the Gaia bug count is too low, but that the platform bug count is too high.
Comment 4 User image Jonas Sicking (:sicking) No longer reading bugmail consistently 2013-01-10 06:13:42 PST
Could you please detail which exact API is returning unexpected results due to too many bugs? I'm inclined to think that this is a gaia problem otherwise. Or at least can be worked around in gaia.
Comment 5 User image Hubert Figuiere [:hub] 2013-01-10 06:14:48 PST
I think we need more beer. Is the keg missing or broken?
Comment 6 User image Kyle Machulis [:qdot] 2013-01-10 06:15:19 PST
My component is rubber, yours is glue, bugs bounce of me and stick to you.

NO BACKSIES.
Comment 7 User image Jason Smith [:jsmith] 2013-01-10 06:16:40 PST
I don't know who can fix this. Let's just see what happens if Vivien gets assigned.
Comment 8 User image Naoki Hirata :nhirata (please use needinfo instead of cc) 2013-01-10 06:22:15 PST
It's not scottish, so we're not taking this.  triage : -
Comment 9 User image Jason Smith [:jsmith] 2013-01-10 06:23:11 PST
(In reply to Naoki Hirata :nhirata from comment #8)
> It's not scottish, so we're not taking this.  triage : -

I disagree with your shenanigans. comment 5 says the keg might be missing. That's a blocker in my opinion.
Comment 10 User image Ben Francis [:benfrancis] 2013-01-10 06:24:14 PST
Vivien, can you add this bug to our list of Gaia workarounds to make the platform bug count look smaller? Seems like they need our help.
Comment 11 User image Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2013-01-10 06:25:55 PST
Asking qawanted to see if they can find more bugs and help us here.
Comment 12 User image Ben Francis [:benfrancis] 2013-01-10 06:34:53 PST
Created attachment 700381 [details] [diff] [review]
Workaround for Gaia having too few bugs

I have a workaround...
Comment 13 User image Etienne Segonzac (:etienne) 2013-01-10 06:39:10 PST
Comment on attachment 700381 [details] [diff] [review]
Workaround for Gaia having too few bugs

Review of attachment 700381 [details] [diff] [review]:
-----------------------------------------------------------------

::: berlin.html
@@ +206,4 @@
>        callback: function(result) {
>          s(s(document).one('#gaiaBlockerCount')).replace({
>            '.item-title': 'Gaia Blockers',
> +          '.item-value': result+1

I think we can get more creative than that.
We should have the #gaiaBlockerCount being the geckoBlockerCount + 10-20% at random.
Comment 14 User image Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2013-01-10 06:44:38 PST
Comment on attachment 700381 [details] [diff] [review]
Workaround for Gaia having too few bugs

I don't know very well this part of the code. I think Dietrich would be a better reviewer.
Comment 15 User image David Bolter [:davidb] 2013-01-10 06:46:22 PST
Marking bug 800000 as a dependency since it is a nice number.
Comment 16 User image Dietrich Ayala (:dietrich) 2013-01-10 06:57:07 PST
Comment on attachment 700381 [details] [diff] [review]
Workaround for Gaia having too few bugs

If you fix this, I'm moving to Opera or Chrome.
Comment 17 User image Al Tsai [:atsai] 2013-01-10 07:01:09 PST
...
Comment 18 User image Jason Smith [:jsmith] 2013-01-10 07:03:09 PST
(In reply to Dietrich Ayala (:dietrich) from comment #16)
> Comment on attachment 700381 [details] [diff] [review]
> Workaround for Gaia having too few bugs
> 
> If you fix this, I'm moving to Opera or Chrome.

NOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
Comment 20 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2013-01-10 07:12:48 PST
We need to reconsider.  This should be blocking-basecamp+ because it's affecting the morale of the platform team.
Comment 21 User image Tony Chung [:tchung] 2013-01-10 07:20:15 PST
removing qawanted, and marking regression; testcase-wanted   this reproduces in the latest gaia merge and mozilla-central, mozilla-inbound, and b2g18.  

Please fix by adding more testcases to every single bug, or you the sheriffs will back all patches out.   (beware of these sneaky sheriffs that are working for Android and iOS.)
Comment 22 User image Jason Smith [:jsmith] 2013-01-10 07:24:02 PST
I think Dietrich is secretly working on Chrome and Opera. Test case:

1. Go talk to Dietrich
2. Ask him about his browser interests

Result - He describes an overwhelming love for Chrome and Opera. But he wants the Firefox to fall off a cliff.
Comment 23 User image :Ehsan Akhgari (in Taipei, laggy response time) 2013-01-10 10:00:49 PST
Comment on attachment 700381 [details] [diff] [review]
Workaround for Gaia having too few bugs

Review of attachment 700381 [details] [diff] [review]:
-----------------------------------------------------------------

::: berlin.html
@@ +206,4 @@
>        callback: function(result) {
>          s(s(document).one('#gaiaBlockerCount')).replace({
>            '.item-title': 'Gaia Blockers',
> +          '.item-value': result+1

Nit: space around the operator, please.
Comment 24 User image Daniel Coloma:dcoloma 2013-01-10 13:23:53 PST
I am afraid this is a certification blocker for the target markets
Comment 25 User image John Hammink 2013-01-10 14:22:11 PST
I'll put on my platform shoes and start stomping out those platform bugs.  =)
Comment 26 User image Anthony Ricaud (:rik) 2013-01-10 15:40:54 PST
Created attachment 700734 [details]
Screenshot of the issue

I can reproduce this, see the attached screenshot.
Comment 27 User image Julien Wajsberg [:julienw] 2013-01-10 15:41:38 PST
ben, could you please use a github PR for review ?
Comment 28 User image Josh Carpenter [:jcarpenter] 2013-01-10 15:50:32 PST
Can we make the pixels round?
Comment 29 User image Daniel Maher [:phrawzty] 2013-01-10 16:05:05 PST
Created attachment 700753 [details]
first world problems

Guys, I didn't want to have to get IT involved in this, but we have no choice.  I've repro'd comment #26, please see attached.
Comment 30 User image (inactive after 6/18) Alive Kuo [:alive] 2013-01-10 16:12:10 PST
This is a crash.
The last day in Berlin but this still crashing on my phone =(

[Root cause]
Gaia developers are too ACTIVE on grabbing bugs.
Please see the logs below https://bugzilla.mozilla.org/show_bug.cgi?id=825712#c6

> Evelyn Hung [:evelyn] 2013-01-10 02:26:20 PST
> Assignee: nobody@mozilla.orgehung@mozilla.com
> Ian Liu [:ianliu] 2013-01-10 02:26:23 PST
(Berlin network wins the battle with Taipei network.)
> Assignee: ehung@mozilla.comiliu@mozilla.com
> Ian Liu [:ianliu] 2013-01-10 02:28:25 PST
> Assignee: iliu@mozilla.comehung@mozilla.com

Please see how these Taipei guys rob each other! Bloody! Cruel! Unfeeling! =)
Comment 31 User image Jason Smith [:jsmith] 2013-01-10 17:22:29 PST
Okay this bad joke has gone far enough. I'm going to kill it now, but it's stuff like this that keeps this job interesting.
Comment 32 User image :Ehsan Akhgari (in Taipei, laggy response time) 2013-01-10 18:19:22 PST
(In reply to comment #31)
> Okay this bad joke has gone far enough. I'm going to kill it now, but it's
> stuff like this that keeps this job interesting.

If you guys don't fix this bug, I'll switch to Chrome OS.  Seriously.
Comment 35 User image Ioana Chiorean 2013-01-11 01:26:12 PST
(In reply to Anthony Ricaud (:rik) from comment #26)
> Created attachment 700734 [details]
> Screenshot of the issue
> 
> I can reproduce this, see the attached screenshot.

(In reply to Daniel Maher [:phrawzty] from comment #29)
> Created attachment 700753 [details]
> first world problems
> 
> Guys, I didn't want to have to get IT involved in this, but we have no
> choice.  I've repro'd comment #26, please see attached.

Guys - please add the attachments to http://mozillamemes.tumblr.com/ too..
Comment 36 User image Tim Taubert [:ttaubert] 2013-01-11 01:33:16 PST
(In reply to :Ehsan Akhgari from comment #32)
> (In reply to comment #31)
> > Okay this bad joke has gone far enough. I'm going to kill it now, but it's
> > stuff like this that keeps this job interesting.
> 
> If you guys don't fix this bug, I'll switch to Chrome OS.  Seriously.

According to Engadget, we're working on that, too!
Comment 37 User image Hubert Figuiere [:hub] 2013-01-11 02:17:54 PST
(In reply to Tim Taubert [:ttaubert] from comment #36)

> > If you guys don't fix this bug, I'll switch to Chrome OS.  Seriously.
> 
> According to Engadget, we're working on that, too!

Engadget retracted that statement.
Comment 38 User image Hubert Figuiere [:hub] 2013-01-11 05:46:31 PST
The gaia team is doing a terrific job, but they just reproduced the problem as at the moment there are 4^H3 blockers.
Comment 39 User image Hubert Figuiere [:hub] 2013-01-11 07:24:41 PST
See, still not enough: 2 left:

http://distilleryimage6.s3.amazonaws.com/4705d5dc5c0211e2830722000a1f9d75_7.jpg
Comment 40 User image Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2013-01-11 07:26:28 PST
This is really a critical state. Blocking+.
Comment 41 User image Tim Guan-tin Chien [:timdream] (please needinfo) 2013-01-11 07:27:24 PST
(In reply to Vivien Nicolas (:vingtetun) from comment #40)
> This is really a critical state. Blocking+.

Why!!!!!!!!!
Comment 42 User image amiller 2013-01-12 11:49:04 PST
Device: Unagi
Build: 20130112070202
Discussion without Repro steps.

Note You need to log in before you can comment on or make changes to this bug.